Package org.eclipse.mat.ui.internal.query.arguments

## Class ArgumentsWizardPage

- java.lang.Object
- - org.eclipse.jface.dialogs.DialogPage
  - - org.eclipse.jface.wizard.WizardPage
    - - org.eclipse.mat.ui.internal.query.arguments.ArgumentsWizardPage

All Implemented Interfaces:
  `IDialogPage`, `IMessageProvider`, `IWizardPage`, `ArgumentsTable.ITableListener`

    public class ArgumentsWizardPage
    extends WizardPage
    implements ArgumentsTable.ITableListener

### Field Summary

Fields
`static java.lang.String` `HIDE_QUERY_HELP`

### Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider

`ERROR, INFORMATION, NONE, WARNING`

### Constructor Summary

Constructors
`ArgumentsWizardPage​(IQueryContext context, ArgumentSet argumentSet)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `createControl​(Composite parent)`
`boolean` `isPageComplete()`
`void` `onError​(java.lang.String message)`
`void` `onFocus​(java.lang.String message)`
`void` `onInputChanged()`
`void` `onModeChange​(LinkEditor.Mode mode)`
`void` `performHelp()`
`void` `relocateHelp​(boolean create)`

### Methods inherited from class org.eclipse.jface.wizard.WizardPage

`canFlipToNextPage, getImage, getName, getNextPage, getPreviousPage, getShell, getWizard, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, setWizard, toString`

### Methods inherited from class org.eclipse.jface.dialogs.DialogPage

`dispose, getControl, getDescription, getErrorMessage, getMessage, getMessageType, getTitle, setMessage, setVisible`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage

`dispose, getControl, getDescription, getErrorMessage, getMessage, getTitle, setVisible`

### Field Detail

#### HIDE_QUERY_HELP

    public static final java.lang.String HIDE_QUERY_HELP

See Also:
  Constant Field Values

### Constructor Detail

#### ArgumentsWizardPage

    public ArgumentsWizardPage​(IQueryContext context,
                               ArgumentSet argumentSet)

### Method Detail

#### createControl

    public void createControl​(Composite parent)

Specified by:
  `createControl` in interface `IDialogPage`

#### isPageComplete

    public boolean isPageComplete()

Specified by:
  `isPageComplete` in interface `IWizardPage`
Overrides:
  `isPageComplete` in class `WizardPage`

#### onInputChanged

    public void onInputChanged()

Specified by:
  `onInputChanged` in interface `ArgumentsTable.ITableListener`

#### onError

    public void onError​(java.lang.String message)

Specified by:
  `onError` in interface `ArgumentsTable.ITableListener`

#### onFocus

    public void onFocus​(java.lang.String message)

Specified by:
  `onFocus` in interface `ArgumentsTable.ITableListener`

#### onModeChange

    public void onModeChange​(LinkEditor.Mode mode)

Specified by:
  `onModeChange` in interface `ArgumentsTable.ITableListener`

#### relocateHelp

    public void relocateHelp​(boolean create)

#### performHelp

    public void performHelp()

Specified by:
  `performHelp` in interface `IDialogPage`
Overrides:
  `performHelp` in class `DialogPage`